Bug 117000 - gdb not working properly with threaded programs for kernel 2.6, losing signals
gdb not working properly with threaded programs for kernel 2.6, losing signals
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
Blocks: FC2Blocker FC3Target FC4Target
  Show dependency treegraph
Reported: 2004-02-27 03:17 EST by George Karabin
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Karabin 2004-02-27 03:17:48 EST
Look at upstream bug report and patch at 
http://sources.redhat.com/cgi-bin/gnatsweb.pl?database=gdb . The PR
number is 1576.

The synopsis is that the /proc format for thread status has changed,
and needs an update. I've proposed a patch that works on 2.6.
Something along these lines needs to get into Fedora, I think.
Comment 1 George Karabin 2004-02-27 12:23:16 EST
See follow up post to patch list at:

There's a minor tweak to the patch, and hopefully a maintainer'll look
it over.
Comment 2 George Karabin 2004-02-27 13:23:31 EST
OK - it was followed up with a note that the change to the kernel
would be reverted. My patch apparently wouldn't work in all
circumstances, so it ought not be applied - waiting on the kernel
reversion would seem like the way to go.
Comment 3 George Karabin 2004-02-27 13:25:58 EST
Reassigning to kernel.
Comment 4 Jeremy Katz 2004-05-06 23:43:21 EDT
Is this better with newer kernels?
Comment 5 George Karabin 2004-05-07 13:28:07 EDT
No, it's still present. I'll post a reproducible test case this weekend.
Comment 6 George Karabin 2004-05-07 14:30:15 EDT
Hmm, rather than try to go for the simplest test case, I'll tell you
what I've been seeing the problem with. Hopefully it or something
similar is easy enough to duplicate. 

1. ssh-add a passhprase for some computer with ssh enabled (localhost
will probably do?)
2. Create an ssh connection to the computer in nautilus
("File->Connect to Server ("ssh://localhost/home/me" or something
similar for the syntax). 
3. Wait for the target window to open up (can be slow). See that you
can open up folders or files with no difficulties.
4. Start nautilus up in your debugger (ddd for me, but I've seen it in
gdb). Attach to the current process and continue.
4. Again try to open folders or files on the ssh folder via nautilus.
5. The debugger will print "waiting for new child: No child
processes." and halt. Upon continuation, nautilus finds itself waiting
for the operation to complete forever, since ddd/gdb isn't able to
correctly figure out how to get the parent process an indication of
the status of the child (or so I presume).
6. If you close ddd/gdb and close the "Opening xxx" dialog, and let
nautilus resume, you can again begin accessing files and folders on
the share.
Comment 7 Dave Jones 2004-10-25 21:47:44 EDT
This should be fixed in the latest FC2 update.
Comment 8 George Karabin 2004-11-03 14:34:53 EST
Cool. My linux development boxen are currently in storage, but I'll test this out when I get 
them unpacked in a few weeks.
Comment 9 Dave Jones 2005-04-16 01:14:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.